Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.rmi
Class Naming

    java.lang.Object
      |
      +--weblogic.rmi.Naming

public final class Naming
extends java.lang.Object

The Naming class is supported by Tengah but we recommend our customers use JNDI (javax.naming.InitialContext).

In Tengah RMI, Naming is an extension of JNDI. Security, privacy, and permissions are determined by the properties defined for JNDI and the ACLs set on the objects on which Naming operates.

JNDI and ACL access are provided based on defaults and settings drawn from your `weblogic.properties` file. The default user is "guest" with no password and no access restrictions. The default URL is for the host "localhost" and "port number" is 7001.

If you use a URL, you may specify any of the following schemes:

- RMI
- T3
- T3S
- HTTP
- HTTPS

Various query parameters are also supported. For more infomation, see the Developers Guide, Writing a T3Client application in the WebLogic Server documentation.

Author:
  Copyright (c) 1997-1998 WebLogic, Inc. All Rights Reserved., Copyright (c) 1998-2000 BEA Systems, Inc. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static java.lang.String` | `RMI_NAMING_JNDI_HOME`
`static java.lang.String` | `RMI_NAMING_JNDI_PATH`

Method Summary
`static void` | `bind(java.lang.String name, Remote impl)`
`static void` | `bindJava(java.lang.String name, java.rmi.Remote impl)`
`static java.lang.String[]` | `list(java.lang.String name)`
`static Remote` | `lookup(java.lang.String name)`
`static void` | `rebind(java.lang.String name, Remote obj)`
`static void` | `rebindJava(java.lang.String name, java.rmi.Remote obj)`
`static void` | `unbind(java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RMI_NAMING_JNDI_HOME

    public static final java.lang.String RMI_NAMING_JNDI_HOME

### RMI_NAMING_JNDI_PATH

    public static final java.lang.String RMI_NAMING_JNDI_PATH

Method Detail

### lookup

    public static Remote lookup(java.lang.String name)
                         throws NotBoundException,
                                java.net.MalformedURLException,
                                UnknownHostException,
                                RemoteException

  Throws:
    NotBoundException - if there is an error
    java.net.MalformedURLException - if there is an error
    UnknownHostException - if there is an error
    RemoteException - if there is an error
  See Also:
    `Context.lookup(java.lang.String)`

### bindJava

    public static void bindJava(java.lang.String name,
                                java.rmi.Remote impl)
                         throws AlreadyBoundException,
                                java.net.MalformedURLException,
                                UnknownHostException,
                                RemoteException

### bind

    public static void bind(java.lang.String name,
                            Remote impl)
                     throws AlreadyBoundException,
                            java.net.MalformedURLException,
                            UnknownHostException,
                            RemoteException

  Throws:
    AlreadyBoundException - if there is an error
    java.net.MalformedURLException - if there is an error
    UnknownHostException - if there is an error
    RemoteException - if there is an error
  See Also:
    `Context.bind(java.lang.String, java.lang.Object)`

### unbind

    public static void unbind(java.lang.String name)
                       throws NotBoundException,
                              java.net.MalformedURLException,
                              UnknownHostException,
                              RemoteException

  Throws:
    NotBoundException - if there is an error
    java.net.MalformedURLException - if there is an error
    UnknownHostException - if there is an error
    RemoteException - if there is an error
  See Also:
    `Context.unbind(java.lang.String name)`

### rebindJava

    public static void rebindJava(java.lang.String name,
                                  java.rmi.Remote obj)
                           throws java.net.MalformedURLException,
                                  UnknownHostException,
                                  RemoteException

### rebind

    public static void rebind(java.lang.String name,
                              Remote obj)
                       throws java.net.MalformedURLException,
                              UnknownHostException,
                              RemoteException

  Throws:
    java.net.MalformedURLException - if there is an error
    UnknownHostException - if there is an error
    RemoteException - if there is an error
  See Also:
    `Context.rebind(java.lang.String, java.lang.Object)`

### list

    public static java.lang.String[] list(java.lang.String name)
                                   throws java.net.MalformedURLException,
                                          UnknownHostException,
                                          RemoteException

  Throws:
    java.net.MalformedURLException - if there is an error
    UnknownHostException - if there is an error
    RemoteException - if there is an error
  See Also:
    `Context.list(java.lang.String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD